%define name	gtkgep
%define version	0.2.3
%define release 2mdk

Name: 	 %{name}
Summary: Real-time guitar effects
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://gtkgep.prv.pl
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+1.2-devel

%description
GtkGEP turns your computer into a realtime effects processor. You can plug
your guitar into the computer and play with cool distortion effects, for
example. It has a modular plugin structure, with standard plugins including
distortion, overdrive, delay, reverb, equalizers, and a flanger. It works in
16-bit resolution, in mono mode, and with frequencies from 11khz to 44khz.
The sound quality is very good.

%prep
%setup -q

%build
%configure
perl -p -i -e 's/usr\/local\/lib/usr\/lib/g' gtkgep_main.c
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT/%_libdir/*.a
rm -f $RPM_BUILD_ROOT/%_libdir/*/*.la

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="GTK Guitar Effects" longtitle="Realtime effects" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
/sbin/ldconfig
		
%postun
%clean_menus
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/%name
%{_menudir}/%name
%{_libdir}/%name-%version
%{_libdir}/lib*

%changelog
* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.2.3-2mdk
- DIRM

* Mon Feb 17 2003 Austin Acton <aacton@yorku.ca> 0.2.3-1mdk
- initial package
